#include <bits/stdc++.h>
using namespace std;
int a,x,y,b,v,c,t,n,m,k;
int main(){
cin>>t;
while(t--){
    cin>>n>>m>>k;
    a=n/k;
    b=n%k;
    x=((a*(a+1))/2)*(k-b);
    y=(((a+1)*(a+2))/2)*b;
    if(m-(x+y)>=0){
        cout<<"Tak"<<endl;
    }
        else cout<<"Nie"<<endl;
}
return 0;
}